MySQL Forums
Forum List  »  MySQL Workbench

Upgraded to MySQL 8. Workbench still trying to use version 5.6
Posted by: John Parlier
Date: August 01, 2018 12:53PM

Greetings,

So I upgraded from MySQL 5.6.34 to MySQL 8.0 and Workbench 6.3->8.0

I noticed a few things when I click on server status (left navigation bar) after creating a new instance. I see this info....

host: JP
socket: mysql
port: 8889

version: 5.634-log
MySQL Community Server(GPL)

Configuration File: c:\ProgramFiles\MySQL\MySQL Server5.0\my.ini


The version and configuration file is wrong.

So I click on the wrench (next to instance) which gives me the manage server connections. I click on the tab System profile and adjust the 'Installation type' and the 'configuration file'


After making these adjustments, I refresh my server connection and look again at the info and I see this now

version: 5.634-log
MySQL Community Server(GPL)

Configuration File: c:\ProgramFiles\MySQL\MySQL Server8.0\my.ini


So I successfully changed the configuration file to the right path.

However, I have no clue how to change the version. It keeps showing MySQL 5.6.

This is the error when I try to hook up to the database

"Failedto connect to MySQL: (2003) Can't connect to MySQL server on 'localhost' (10061)"

Im assuming its because MySQL workbench 8 is trying to use MySQL 5.6 instead of 8.0

So how do I change this???
Any help would be much appreciated

Options: ReplyQuote


Subject
Views
Written By
Posted
Upgraded to MySQL 8. Workbench still trying to use version 5.6
104
August 01, 2018 12:53PM


Sorry, only registered users may post in this forum.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.